summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman2010-05-27 07:10:14 +0200
committer Robby Workman2010-05-27 07:15:01 +0200
commit253ba33157e8449df5dd2dc7d0c714e22b978982 (patch)
tree0d5a66a004650b662382d57b8cb257c1829267bf
parent29cee3416c245732b01bc11884740b2b267e6dc9 (diff)
parent8974b2a68b1e3565fdde6f80c99910b76f59f2d2 (diff)
downloadslackbuilds-253ba33157e8449df5dd2dc7d0c714e22b978982.tar.gz
Thu May 27 05:13:34 UTC 2010 - public www update
Merged 'master' into '13.1' This *should* have been a fast-forward merge, but I guess I didn't pull the go_openoffice commit into the 13.1 branch properly from master. Oh well.
-rw-r--r--academic/g3data/doinst.sh1
-rw-r--r--academic/g3data/g3data.SlackBuild19
-rw-r--r--academic/g3data/g3data.desktop2
-rw-r--r--desktop/recordmydesktop/README2
-rw-r--r--desktop/recordmydesktop/recordmydesktop.SlackBuild17
-rw-r--r--desktop/recordmydesktop/recordmydesktop.info2
-rw-r--r--libraries/agg/README11
-rw-r--r--libraries/agg/agg.SlackBuild95
-rw-r--r--libraries/agg/agg.info10
-rw-r--r--libraries/agg/no_rpath.patch10
-rw-r--r--libraries/agg/slack-desc19
-rw-r--r--libraries/dietlibc/dietlibc.SlackBuild16
-rw-r--r--libraries/pyOpenSSL/pyOpenSSL.SlackBuild13
-rw-r--r--libraries/wv/wv.SlackBuild10
-rw-r--r--libraries/wv/wv.info8
-rw-r--r--network/broadcom-sta/README7
-rw-r--r--network/broadcom-sta/broadcom-sta-5.60.48.36-linux-2.6.33.patch12
-rwxr-xr-xnetwork/broadcom-sta/broadcom-sta.SlackBuild71
-rw-r--r--network/broadcom-sta/broadcom-sta.info10
-rw-r--r--network/broadcom-sta/doinst.sh5
-rw-r--r--network/broadcom-sta/slack-desc19
-rw-r--r--network/dansguardian/dansguardian-2.10.1.1-gcc44.patch55
-rw-r--r--network/dansguardian/dansguardian.SlackBuild17
-rw-r--r--network/gajim/gajim.SlackBuild19
-rw-r--r--network/google-chrome/README6
-rw-r--r--network/google-chrome/google-chrome.SlackBuild16
-rw-r--r--network/google-chrome/google-chrome.info12
-rw-r--r--network/leafnode/README21
-rw-r--r--network/leafnode/doinst.sh8
-rw-r--r--network/leafnode/leafnode.SlackBuild110
-rw-r--r--network/leafnode/leafnode.info10
-rw-r--r--network/leafnode/sizeof_fix.diff12
-rw-r--r--network/leafnode/slack-desc19
-rw-r--r--network/uget/uget.SlackBuild14
-rw-r--r--network/vidalia/vidalia.SlackBuild14
35 files changed, 638 insertions, 54 deletions
diff --git a/academic/g3data/doinst.sh b/academic/g3data/doinst.sh
index 5fb28930db..4e8ba7071d 100644
--- a/academic/g3data/doinst.sh
+++ b/academic/g3data/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
diff --git a/academic/g3data/g3data.SlackBuild b/academic/g3data/g3data.SlackBuild
index ede53cce55..0be826f916 100644
--- a/academic/g3data/g3data.SlackBuild
+++ b/academic/g3data/g3data.SlackBuild
@@ -7,10 +7,19 @@
PRGNAM=g3data
VERSION=${VERSION:-1.5.3}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -25,6 +34,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -49,9 +61,8 @@ CPPFLAGS="$SLKCFLAGS" make
mkdir -p $PKG/usr/bin $PKG/usr/man/man1
make install bindir=$PKG/usr/bin mandir=$PKG/usr/man
-mkdir -p $PKG/usr/share/applications
-cat $CWD/g3data.desktop > $PKG/usr/share/applications/g3data.destop
-mkdir -p $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/g3data.desktop > $PKG/usr/share/applications/g3data.desktop
cat $CWD/g3data.xpm > $PKG/usr/share/pixmaps/g3data.xpm
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/academic/g3data/g3data.desktop b/academic/g3data/g3data.desktop
index 4d50442085..af9b1e22ff 100644
--- a/academic/g3data/g3data.desktop
+++ b/academic/g3data/g3data.desktop
@@ -5,4 +5,4 @@ Exec=g3data
Icon=g3data
Terminal=false
Type=Application
-Categories=Science;Graphics;
+Categories=Education;Science;Graphics;
diff --git a/desktop/recordmydesktop/README b/desktop/recordmydesktop/README
index f05acefc88..34366734da 100644
--- a/desktop/recordmydesktop/README
+++ b/desktop/recordmydesktop/README
@@ -1,6 +1,6 @@
recordmydesktop (record desktop sessions to an Ogg-Theora-Vorbis file)
-recordMyDesktop produces a file(default out.ogg) that contains a video
+recordMyDesktop produces a file (default out.ogg) that contains a video
and audio recording of a desktop session. It attempts to be easy to
use, yet also effective at it's primary task.
diff --git a/desktop/recordmydesktop/recordmydesktop.SlackBuild b/desktop/recordmydesktop/recordmydesktop.SlackBuild
index 6f743637f4..9158a25d73 100644
--- a/desktop/recordmydesktop/recordmydesktop.SlackBuild
+++ b/desktop/recordmydesktop/recordmydesktop.SlackBuild
@@ -9,10 +9,19 @@
PRGNAM=recordmydesktop
VERSION=0.3.8.1
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -27,6 +36,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -44,6 +56,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fixup xextproto rearrangement issues - thanks to the Gentoo guys for the tip
+sed -i -e 's:shmstr.h:shmproto.h:g' src/rmd_{getzpixmap.c,update_image.c}
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/desktop/recordmydesktop/recordmydesktop.info b/desktop/recordmydesktop/recordmydesktop.info
index 02d6427f28..2337c93953 100644
--- a/desktop/recordmydesktop/recordmydesktop.info
+++ b/desktop/recordmydesktop/recordmydesktop.info
@@ -1,6 +1,6 @@
PRGNAM="recordmydesktop"
VERSION="0.3.8.1"
-HOMEPAGE="http://recordmydesktop.org/"
+HOMEPAGE="http://sourceforge.net/projects/recordmydesktop/"
DOWNLOAD="http://downloads.sourceforge.net/recordmydesktop/recordmydesktop-0.3.8.1.tar.gz"
MD5SUM="6998b165540598965499bd99d8aa0eef"
DOWNLOAD_x86_64=""
diff --git a/libraries/agg/README b/libraries/agg/README
new file mode 100644
index 0000000000..0938e7ed03
--- /dev/null
+++ b/libraries/agg/README
@@ -0,0 +1,11 @@
+Anti-Grain Geometry (AGG) is an Open Source, free of charge graphic
+library, written in industrially standard C++. The terms and conditions
+of use AGG are described on The License page. AGG doesn't depend on any
+graphic API or technology. Basically, you can think of AGG as of a
+rendering engine that produces pixel images in memory from some vectorial
+data. But of course, AGG can do much more than that. The ideas and the
+philosophy of AGG are:
+* Anti-Aliasing * Subpixel Accuracy * The highest possible quality
+* High performance * Platform independence and compatibility
+* Flexibility and extensibility * Lightweight design
+* Reliability and stability (including numerical stability)
diff --git a/libraries/agg/agg.SlackBuild b/libraries/agg/agg.SlackBuild
new file mode 100644
index 0000000000..27b50734df
--- /dev/null
+++ b/libraries/agg/agg.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for Anti-Grain Geometry
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPLv2, as published by Sam Hocevar dec'04.
+# For details see http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=agg
+VERSION=${VERSION:-2.5}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix a libtool error and the .pc file.
+sed -r -i -e 's:^(.*) -L@.*:\1:' src/platform/X11/Makefile.am
+patch -p1 < $CWD/no_rpath.patch
+
+sh ./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -type f | xargs file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Note: there is around 2.5 MB worth of stuff in the examples subdir
+# If you need it, it's in the source :)
+cp -a \
+ install ChangeLog authors readme news copying \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/agg/agg.info b/libraries/agg/agg.info
new file mode 100644
index 0000000000..d858802fb1
--- /dev/null
+++ b/libraries/agg/agg.info
@@ -0,0 +1,10 @@
+PRGNAM="agg"
+VERSION="2.5"
+HOMEPAGE="http://www.antigrain.com/"
+DOWNLOAD="http://www.antigrain.com/agg-2.5.tar.gz"
+MD5SUM="0229a488bc47be10a2fee6cf0b2febd6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/libraries/agg/no_rpath.patch b/libraries/agg/no_rpath.patch
new file mode 100644
index 0000000000..76582e3327
--- /dev/null
+++ b/libraries/agg/no_rpath.patch
@@ -0,0 +1,10 @@
+--- agg-2.5.orig/libagg.pc.in 2006-07-10 11:27:16.000000000 +0200
++++ agg-2.5/libagg.pc.in 2006-07-10 11:28:51.000000000 +0200
+@@ -6,5 +6,5 @@
+ Name: libagg
+ Description: Anti Grain Geometry - A High Quality Rendering Engine for C++
+ Version: @VERSION@
+-Libs: -L${libdir} -Wl,-rpath,${exec_prefix}/lib -lagg
++Libs: -L${libdir} -lagg
+ Cflags: -I${includedir}
+
diff --git a/libraries/agg/slack-desc b/libraries/agg/slack-desc
new file mode 100644
index 0000000000..24cd6cce65
--- /dev/null
+++ b/libraries/agg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+agg: Anti-Grain Geometry (AGG)
+agg:
+agg: A High Quality Rendering Engine for C++.
+agg:
+agg: AGG was written by Maxim Shemanarev
+agg:
+agg:
+agg:
+agg:
+agg:
+agg:
diff --git a/libraries/dietlibc/dietlibc.SlackBuild b/libraries/dietlibc/dietlibc.SlackBuild
index e9de8dbc1d..cef499b3ee 100644
--- a/libraries/dietlibc/dietlibc.SlackBuild
+++ b/libraries/dietlibc/dietlibc.SlackBuild
@@ -25,10 +25,19 @@
PRGNAM=dietlibc
VERSION=${VERSION:-0.32}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -70,10 +79,7 @@ chmod 0755 $PKG/etc/profile.d/*
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/opt/diet/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/opt/diet/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/pyOpenSSL/pyOpenSSL.SlackBuild b/libraries/pyOpenSSL/pyOpenSSL.SlackBuild
index 1d806d269d..da1f8e8d08 100644
--- a/libraries/pyOpenSSL/pyOpenSSL.SlackBuild
+++ b/libraries/pyOpenSSL/pyOpenSSL.SlackBuild
@@ -24,10 +24,19 @@
PRGNAM=pyOpenSSL
VERSION=0.8
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -41,7 +50,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
diff --git a/libraries/wv/wv.SlackBuild b/libraries/wv/wv.SlackBuild
index 95b67ae213..d09cb67f44 100644
--- a/libraries/wv/wv.SlackBuild
+++ b/libraries/wv/wv.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for wv
-# Copyright 2008-2009 Robby Workman, Northport, Alabama, USA
+# Copyright 2008,2009,2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +23,17 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wv
-VERSION=1.2.4
+VERSION=1.2.7
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
diff --git a/libraries/wv/wv.info b/libraries/wv/wv.info
index 4d79aa1348..016094a714 100644
--- a/libraries/wv/wv.info
+++ b/libraries/wv/wv.info
@@ -1,8 +1,8 @@
PRGNAM="wv"
-VERSION="1.2.4"
-HOMEPAGE="http://wvware.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/wvware/wv-1.2.4.tar.gz"
-MD5SUM="c1861c560491f121e12917fa76970ac5"
+VERSION="1.2.7"
+HOMEPAGE="http://abisource.com/"
+DOWNLOAD="http://abisource.com/downloads/wv/1.2.7/wv-1.2.7.tar.gz"
+MD5SUM="a6a3484745aa73897ff9c5a871482b4b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Robby Workman"
diff --git a/network/broadcom-sta/README b/network/broadcom-sta/README
new file mode 100644
index 0000000000..593784d0ec
--- /dev/null
+++ b/network/broadcom-sta/README
@@ -0,0 +1,7 @@
+The broadcom-sta package includes the kernel module 'wl', which contains
+the Broadcom-provided proprietary kernel driver that supports a number of
+their cards. Known supported model numbers include the BCM4311, BCM4312,
+BCM4321, and BCM4322 chipsets.
+
+Read the included LICENSE.txt file (placed in /usr/doc) before using the
+driver.
diff --git a/network/broadcom-sta/broadcom-sta-5.60.48.36-linux-2.6.33.patch b/network/broadcom-sta/broadcom-sta-5.60.48.36-linux-2.6.33.patch
new file mode 100644
index 0000000000..a11ac3a709
--- /dev/null
+++ b/network/broadcom-sta/broadcom-sta-5.60.48.36-linux-2.6.33.patch
@@ -0,0 +1,12 @@
+diff -Naur broadcom-sta-5.60.48.36.orig/src/include/linuxver.h broadcom-sta-5.60.48.36/src/include/linuxver.h
+--- broadcom-sta-5.60.48.36.orig/src/include/linuxver.h 2009-09-16 07:25:26.00000000 +0900
++++ broadcom-sta-5.60.48.36/src/include/linuxver.h 2009-09-16 07:25:26.00000000 +0900
+@@ -19,6 +19,8 @@
+ #include <linux/version.h>
+ #if (LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 0))
+ #include <linux/config.h>
++#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 33))
++#include <generated/autoconf.h>
+ #else
+ #include <linux/autoconf.h>
+ #endif
diff --git a/network/broadcom-sta/broadcom-sta.SlackBuild b/network/broadcom-sta/broadcom-sta.SlackBuild
new file mode 100755
index 0000000000..474884c454
--- /dev/null
+++ b/network/broadcom-sta/broadcom-sta.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Slackware build script for broadcom-sta proprietary wireless driver
+# Written by David Matthew Jerry Koenig <koenigdavidmj@gmail.com>
+# Public domain.
+
+PRGNAM=broadcom-sta
+VERSION=5.60.48.36
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+KERNEL=${KERNEL:-$(uname -r)}
+
+PKG_VERSION=${VERSION}_$(echo $KERNEL | tr - _)
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+WORKDIR=$TMP/build-$PRGNAM
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Skipped the usual set of variables since they don't apply here
+# (libdir isn't needed, and custom CFLAGS aren't wanted).
+if [ "$ARCH" = "i486" ]; then
+ MY_ARCH="x86_32"
+elif [ "$ARCH" = "i686" ]; then
+ MY_ARCH="x86_32"
+elif [ "$ARCH" = "x86_64" ]; then
+ MY_ARCH="x86_64"
+else
+ printf "\n\n$ARCH is not supported...\n"
+ exit 1
+fi
+
+set -e
+
+rm -rf $WORKDIR $PKG
+mkdir -p $TMP $WORKDIR $PKG $OUTPUT
+cd $WORKDIR
+tar xvf $CWD/hybrid-portsrc-${MY_ARCH}-v${VERSION}.tar.gz
+
+patch -p1 < $CWD/broadcom-sta-5.60.48.36-linux-2.6.33.patch
+
+# Build the module
+make -C /lib/modules/$KERNEL/build M=$WORKDIR clean
+make -C /lib/modules/$KERNEL/build M=$WORKDIR
+
+# Install the module
+mkdir -p $PKG/lib/modules/$KERNEL/kernel/extra
+cp wl.ko $PKG/lib/modules/$KERNEL/kernel/extra
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $WORKDIR/lib/LICENSE.txt > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE.txt
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s%@KERNEL@%$KERNEL%" $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+chown -R root:root .
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/broadcom-sta/broadcom-sta.info b/network/broadcom-sta/broadcom-sta.info
new file mode 100644
index 0000000000..cfc79fee5b
--- /dev/null
+++ b/network/broadcom-sta/broadcom-sta.info
@@ -0,0 +1,10 @@
+PRGNAM="broadcom-sta"
+VERSION="5.60.48.36"
+HOMEPAGE="http://www.broadcom.com/support/802.11/linux_sta.php"
+DOWNLOAD="http://www.broadcom.com/docs/linux_sta/hybrid-portsrc-x86_32-v5.60.48.36.tar.gz"
+MD5SUM="0466d863405e1ab99d5e288fe886e852"
+DOWNLOAD_x86_64="http://www.broadcom.com/docs/linux_sta/hybrid-portsrc-x86_64-v5.60.48.36.tar.gz"
+MD5SUM_x86_64="a78095ddcc30a191f64dccbc31b84de8"
+MAINTAINER="David Matthew Jerry Koenig"
+EMAIL="koenigdavidmj@gmail.com"
+APPROVED="dsomero"
diff --git a/network/broadcom-sta/doinst.sh b/network/broadcom-sta/doinst.sh
new file mode 100644
index 0000000000..267c751196
--- /dev/null
+++ b/network/broadcom-sta/doinst.sh
@@ -0,0 +1,5 @@
+# A good idea whenever kernel modules are added or changed:
+if [ -x sbin/depmod ]; then
+ /sbin/depmod -a @KERNEL@ 1> /dev/null 2> /dev/null
+fi
+
diff --git a/network/broadcom-sta/slack-desc b/network/broadcom-sta/slack-desc
new file mode 100644
index 0000000000..9103fa4f6c
--- /dev/null
+++ b/network/broadcom-sta/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+broadcom-sta: broadcom-sta (Broadcom wireless drivers)
+broadcom-sta:
+broadcom-sta: Proprietary drivers for a number of Broadcom cards. Includes a
+broadcom-sta: kernel module named 'wl'.
+broadcom-sta:
+broadcom-sta: For more information, see:
+broadcom-sta: http://www.broadcom.com/support/802.11/linux_sta.php
+broadcom-sta:
+broadcom-sta:
+broadcom-sta:
+broadcom-sta:
diff --git a/network/dansguardian/dansguardian-2.10.1.1-gcc44.patch b/network/dansguardian/dansguardian-2.10.1.1-gcc44.patch
new file mode 100644
index 0000000000..3cdef6e487
--- /dev/null
+++ b/network/dansguardian/dansguardian-2.10.1.1-gcc44.patch
@@ -0,0 +1,55 @@
+diff -ruN dansguardian-2.10.1.1.orig/src/ConnectionHandler.cpp dansguardian-2.10.1.1/src/ConnectionHandler.cpp
+--- dansguardian-2.10.1.1.orig/src/ConnectionHandler.cpp 2009-02-25 12:36:22.000000000 +0100
++++ dansguardian-2.10.1.1/src/ConnectionHandler.cpp 2009-07-15 12:02:09.801533048 +0200
+@@ -45,6 +45,7 @@
+
+ #ifdef ENABLE_ORIG_IP
+ #include <linux/types.h>
++#include <limits.h>
+ #include <linux/netfilter_ipv4.h>
+ #endif
+
+diff -ruN dansguardian-2.10.1.1.orig/src/contentscanners/clamav.cpp dansguardian-2.10.1.1/src/contentscanners/clamav.cpp
+--- dansguardian-2.10.1.1.orig/src/contentscanners/clamav.cpp 2008-11-18 12:27:04.000000000 +0100
++++ dansguardian-2.10.1.1/src/contentscanners/clamav.cpp 2009-07-15 11:59:12.316495912 +0200
+@@ -26,6 +26,7 @@
+ #include "../ContentScanner.hpp"
+ #include "../OptionContainer.hpp"
+
++#include <cstdio>
+ #include <syslog.h>
+ #include <sys/time.h>
+ #include <sys/types.h>
+diff -ruN dansguardian-2.10.1.1.orig/src/contentscanners/commandlinescan.cpp dansguardian-2.10.1.1/src/contentscanners/commandlinescan.cpp
+--- dansguardian-2.10.1.1.orig/src/contentscanners/commandlinescan.cpp 2008-11-18 12:27:04.000000000 +0100
++++ dansguardian-2.10.1.1/src/contentscanners/commandlinescan.cpp 2009-07-15 11:59:12.317495697 +0200
+@@ -28,6 +28,7 @@
+ #include "../OptionContainer.hpp"
+ #include "../RegExp.hpp"
+
++#include <cstdio>
+ #include <syslog.h>
+ #include <sys/time.h>
+ #include <sys/types.h>
+diff -ruN dansguardian-2.10.1.1.orig/src/contentscanners/icapscan.cpp dansguardian-2.10.1.1/src/contentscanners/icapscan.cpp
+--- dansguardian-2.10.1.1.orig/src/contentscanners/icapscan.cpp 2008-11-18 12:27:04.000000000 +0100
++++ dansguardian-2.10.1.1/src/contentscanners/icapscan.cpp 2009-07-15 11:59:12.318495062 +0200
+@@ -29,6 +29,7 @@
+ #include "../ContentScanner.hpp"
+ #include "../OptionContainer.hpp"
+
++#include <cstdio>
+ #include <syslog.h>
+ #include <sys/time.h>
+ #include <sys/types.h>
+diff -ruN dansguardian-2.10.1.1.orig/src/downloadmanagers/fancy.cpp dansguardian-2.10.1.1/src/downloadmanagers/fancy.cpp
+--- dansguardian-2.10.1.1.orig/src/downloadmanagers/fancy.cpp 2008-11-18 12:27:04.000000000 +0100
++++ dansguardian-2.10.1.1/src/downloadmanagers/fancy.cpp 2009-07-15 11:59:12.319495964 +0200
+@@ -26,6 +26,7 @@
+ #include "../HTMLTemplate.hpp"
+ #include "../ConnectionHandler.hpp"
+
++#include <cstdio>
+ #include <syslog.h>
+ #include <sys/time.h>
+ #include <sys/types.h>
diff --git a/network/dansguardian/dansguardian.SlackBuild b/network/dansguardian/dansguardian.SlackBuild
index ef83b9b509..8b2717441b 100644
--- a/network/dansguardian/dansguardian.SlackBuild
+++ b/network/dansguardian/dansguardian.SlackBuild
@@ -51,10 +51,19 @@
PRGNAM=dansguardian
VERSION=${VERSION:-2.10.1.1}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -84,6 +93,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -101,6 +113,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix building with gcc4.4.
+patch -p1 < $CWD/dansguardian-2.10.1.1-gcc44.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/network/gajim/gajim.SlackBuild b/network/gajim/gajim.SlackBuild
index 1b1835540c..5eeb4f21d5 100644
--- a/network/gajim/gajim.SlackBuild
+++ b/network/gajim/gajim.SlackBuild
@@ -7,10 +7,19 @@
PRGNAM=gajim
VERSION=0.13.3
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -25,6 +34,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -52,10 +64,7 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
# --docdir takes care of the program documentation
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/google-chrome/README b/network/google-chrome/README
index fa8afec372..0c9af625be 100644
--- a/network/google-chrome/README
+++ b/network/google-chrome/README
@@ -3,8 +3,4 @@ Google Chrome (Open Source Web Browser)
This script will repackage the debian binary. The snapshot is updated
daily, so the MD5SUM and VERSION numbers are not likely to match.
-You can disable plugin (flash, etc) support by running the script:
-PLUGINS=no ./google-chrome.SlackBuild
-Default is yes (enabled). This is a simple change to the .desktop file.
-
-This requires GConf, and seamonkey-solibs from Slackware's patches.
+This requires GConf.
diff --git a/network/google-chrome/google-chrome.SlackBuild b/network/google-chrome/google-chrome.SlackBuild
index 395d50d3c6..c9d14f75c3 100644
--- a/network/google-chrome/google-chrome.SlackBuild
+++ b/network/google-chrome/google-chrome.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-
+#
# Slackware build script for Google Chrome
# Copyright 2009-2010 Erik Hanson, Minneapolis, MN, USA
@@ -23,7 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=google-chrome
-VERSION=5.0.375.38 # Ephemeral version
+VERSION=5.0.375.55 # Ephemeral version
+RELEASE=stable # stable, beta, or unstable
ARCH=${ARCH:-i386} # i386 or x86_64
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,9 +34,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Enable (supposedly crashy) plugin support by default:
-PLUGINS=${PLUGINS:-yes}
-
# Just in case:
case "$ARCH" in
i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
@@ -45,12 +43,12 @@ esac
set -eu
# Get the real version, thanks to Fred Richards.
-REAL_VER=$(ar p google-chrome-beta_current_${DEBARCH}.deb control.tar.gz | tar zxO ./control | grep Version | awk '{print $2}' | cut -d- -f1)
+REAL_VER=$(ar p google-chrome-${RELEASE}_current_${DEBARCH}.deb control.tar.gz | tar zxO ./control | grep Version | awk '{print $2}' | cut -d- -f1)
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
-ar p $CWD/google-chrome-beta_current_${DEBARCH}.deb data.tar.lzma | lzma -d | tar xv
+ar p $CWD/google-chrome-${RELEASE}_current_${DEBARCH}.deb data.tar.lzma | lzma -d | tar xv
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -64,10 +62,6 @@ for MLIB in $MISSING_LIBS ; do
ln -s /usr/lib${LIBDIRSUFFIX}/seamonkey/${MLIB%.?d} opt/google/chrome/$MLIB
done
-if [ "$PLUGINS" == "yes" ] ; then
- sed -i 's/%U/--enable-plugins %U/' opt/google/chrome/google-chrome.desktop
-fi
-
mv $PKG/usr/share/man $PKG/usr/man
gzip -9 $PKG/usr/man/man?/*.?
diff --git a/network/google-chrome/google-chrome.info b/network/google-chrome/google-chrome.info
index 0f3da1a2d6..3ec03a94dd 100644
--- a/network/google-chrome/google-chrome.info
+++ b/network/google-chrome/google-chrome.info
@@ -1,10 +1,10 @@
PRGNAM="google-chrome"
-VERSION="5.0.375.38"
+VERSION="5.0.375.55"
HOMEPAGE="http://www.google.com/chrome/"
-DOWNLOAD="http://dl.google.com/dl/linux/direct/google-chrome-beta_current_i386.deb"
-MD5SUM="ac37d2c1766e6af8dccb06160a1bfbee"
-DOWNLOAD_x86_64="http://dl.google.com/dl/linux/direct/google-chrome-beta_current_amd64.deb"
-MD5SUM_x86_64="31a62a4cbb97913d0328c27ac93956d0"
+DOWNLOAD="http://dl.google.com/dl/linux/direct/google-chrome-stable_current_i386.deb"
+MD5SUM="d8718b7c35731393e3664fd61e820e25"
+DOWNLOAD_x86_64="http://dl.google.com/dl/linux/direct/google-chrome-stable_current_amd64.deb"
+MD5SUM_x86_64="c06d8981d32b542f9de1b943f5cf8146"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED=""
diff --git a/network/leafnode/README b/network/leafnode/README
new file mode 100644
index 0000000000..08f7ca92b8
--- /dev/null
+++ b/network/leafnode/README
@@ -0,0 +1,21 @@
+Leafnode 2 is an NNTP proxy server intended for small sites, where
+there are few users and little disk space, but where a large number of
+groups is desired. It can also be used to give a regular newsreader
+off-line functionality.
+
+There is some work to do to install this program effectively, all
+of which is clearly set out in the README file contained in the
+documents. It is strongly advised that you read this file thoroughly
+before installing Leafnode 2. In summary you will need to:
+
+1. Ensure $NNTPSERVER or /etc/nntpserver points to 'localhost'.
+2. Set /etc/inetd.conf so leafnode is executed for incoming NNTP connections.
+3. Set /etc/hosts.deny and /etc/hosts.allow to protect the server.
+4. Create /etc/leafnode/config and adjust settings as required.
+5. Set cronjobs for fetchnews and texpire.
+6. Fetch the newsgroup list from the upstream server.
+7. Set your newsreader to use 'localhost'.
+
+Future versions of Leafnode 2 will have access to the lua programming /
+scripting language so we will be sitting tight with this particular version
+of Leafnode 2 until the lua-enabled version has matured a little.
diff --git a/network/leafnode/doinst.sh b/network/leafnode/doinst.sh
new file mode 100644
index 0000000000..f9a8bdcaa4
--- /dev/null
+++ b/network/leafnode/doinst.sh
@@ -0,0 +1,8 @@
+if [ ! -e etc/leafnode/local.groups ]; then
+ touch etc/leafnode/local.groups
+fi
+
+if [ ! -e etc/leafnode/moderators ]; then
+ touch etc/leafnode/moderators
+fi
+
diff --git a/network/leafnode/leafnode.SlackBuild b/network/leafnode/leafnode.SlackBuild
new file mode 100644
index 0000000000..c3a49a3ce8
--- /dev/null
+++ b/network/leafnode/leafnode.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for Leafnode 2
+
+# Copyright 2008-2009 Andrew Strong (http://www.andrews-corner.org)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=leafnode
+VERSION=2.0.0.alpha20081229a
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/sizeof_fix.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/leafnode \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --enable-runas-user=news \
+ --enable-spooldir=/var/spool/news \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/tools
+cp -a AUTHORS COPYING* CREDITS ChangeLog CHANGES-FROM-LEAFNODE-1 DEBUGGING \
+ FAQ.* INSTALL NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# The following files are marked in the documentation as 'not usually installed'
+# but I file them here (not installed) for the sake of completion :-)
+cp -a tools/* $PKG/usr/doc/$PRGNAM-$VERSION/tools
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/leafnode/leafnode.info b/network/leafnode/leafnode.info
new file mode 100644
index 0000000000..4790b46cc1
--- /dev/null
+++ b/network/leafnode/leafnode.info
@@ -0,0 +1,10 @@
+PRGNAM="leafnode"
+VERSION="2.0.0.alpha20081229a"
+HOMEPAGE="http://www-dt.e-technik.uni-dortmund.de/~ma/leafnode/beta/"
+DOWNLOAD="http://home.pages.de/~mandree/leafnode/beta/leafnode-2.0.0.alpha20081229a.tar.bz2"
+MD5SUM="63972974353e4da064cf2646b93cc586"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.45@gmail.com"
+APPROVED="rworkman"
diff --git a/network/leafnode/sizeof_fix.diff b/network/leafnode/sizeof_fix.diff
new file mode 100644
index 0000000000..a5e519dfb0
--- /dev/null
+++ b/network/leafnode/sizeof_fix.diff
@@ -0,0 +1,12 @@
+--- a/system.h 2008-12-29 22:24:30.000000000 +1100
++++ b/system.h 2010-05-26 19:39:22.376358080 +1000
+@@ -20,9 +20,6 @@
+ #include <inttypes.h>
+ #elif HAVE_STDINT_H
+ #include <stdint.h>
+-#elif sizeof(unsigned long) == 4 && sizeof(unsigned char) == 1
+-typedef unsigned long uint32_t;
+-typedef unsigned char uint8_t;
+ #else
+ #error "I cannot figure how to define uint32_t and uint8_t."
+ #endif
diff --git a/network/leafnode/slack-desc b/network/leafnode/slack-desc
new file mode 100644
index 0000000000..dd794cb89c
--- /dev/null
+++ b/network/leafnode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+leafnode: Leafnode-2 (an NNTP proxy server)
+leafnode:
+leafnode: Leafnode-2 is an NNTP proxy server intended for small sites, where
+leafnode: there are few users and little disk space, but where a large number
+leafnode: of groups is desired. It can also be used to give a regular
+leafnode: newsreader off-line functionality. The leafnode program itself is
+leafnode: the server while the programs fetchnews and texpire transport the
+leafnode: the news and expire old articles respectively.
+leafnode:
+leafnode: Homepage: http://www-dt.e-technik.uni-dortmund.de/~ma/leafnode/beta/
+leafnode:
diff --git a/network/uget/uget.SlackBuild b/network/uget/uget.SlackBuild
index 91580b1f17..b9bd602652 100644
--- a/network/uget/uget.SlackBuild
+++ b/network/uget/uget.SlackBuild
@@ -7,10 +7,19 @@
PRGNAM=uget
VERSION=1.5.0.2
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -25,6 +34,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
diff --git a/network/vidalia/vidalia.SlackBuild b/network/vidalia/vidalia.SlackBuild
index d5339ec870..94c230e83c 100644
--- a/network/vidalia/vidalia.SlackBuild
+++ b/network/vidalia/vidalia.SlackBuild
@@ -7,10 +7,19 @@
PRGNAM=vidalia
VERSION=${VERSION:-0.2.8}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -25,6 +34,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e